Azureus crashes just after startup (attempt to show sliding notification window)

Bug #68020 reported by Juho Lehto on 2006-10-24
34
Affects Status Importance Assigned to Milestone
azureus (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Mike Fedyk
Edgy
Undecided
Unassigned
Feisty
Undecided
Unassigned
Gutsy
Undecided
Oliver Sic
vnc4 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Mike Fedyk
Feisty
Undecided
Unassigned

Bug Description

Binary package hint: azureus

New Azureus 2.5.0.0 hit the Edgy repositories earlier, however it crashes as soon as it has loaded and the main screen comes up. I already tried to remove azureus with purge and with and without the new azureus-gcj package.

Juho Lehto (keeperb5) wrote :

Here's java error log from the crash if it helps any.

tasadar_f (tasadarf) wrote :

With sun jre1.5 azureus not work.
With java-gcj work perfectly.

Use this:
sudo update-alternatives --config java
choose java-gcj

I need azureus work with sun java jre1.5 because I use mercury messenger that only work with sun jre1.5

Changed in azureus:
status: Unconfirmed → Confirmed
Michael Plump (plumpy) wrote :

This crash specifically happens when azureus tries to bring up a little pop-up window (the kind that say, e.g., "you did not shut down azureus properly")

tasadar_f: as a workaround, you can edit /usr/bin/azureus and, somewhere towards the top (anywhere above line 29) add a line that sets your desired JAVA_HOME. e.g.
JAVA_HOME=/usr/lib/jvm/java-gcj

tasadar_f (tasadarf) wrote :

 thanks Michael

Schnapsmann (david-christophe) wrote :

It would be nice to have a azureusrc managed by ubuntu, allowing to override the JRE only for azureus on a user basis (as debian's eclipserc/JAVA_HOME for eclipse)

iKs (iks279) wrote :

Still not fixed here.
I just installed Azureus and it keeps crashing with the Sun Jre (even if it does work with GCJ).

Will this bug be fixed soon cause it's a little bit confusing for a new user not to be able to lauch his favorite Bittorent manager ;)

(I'm using Azureus 2.5.0.0-0ubuntu2 @ Feisty)

alex f (acid-punk) wrote :

I have these crashes as well. The error report always differs a little bit. I found that the reason why azureus keeps crashing, seems to be the log files in ~/.azureus/logs/ when I delete those azureus starts up again without crashing right again.

For example azureus logs in logs/alerts_1.log that I'm having NAT issues and it needs an open UDP port etc.

I'm not sure if switching from sun-jdk to gcj makes azureus not choke on these log files.

Bug #71220 might be a duplicate?

Sam Brightman (sambrightman) wrote :

There is something odd going on here, possibly two separate bugs. I was going to confirm that it is not so much the log files as the informational box about them that is causing the crash (as per Michael Plump's comment https://bugs.launchpad.net/ubuntu/+source/azureus/+bug/68020/comments/3). Using Azureus 2.5 and Java 1.5 switching to GCJ solves the problem. Once the message has been acknowledged using GCJ, one can switch back to Sun Java even if the logs directory is not empty.

However, renaming/removing the logs directory does also fix the problem (i.e. no need to switch to GCJ for one startup), but without displaying the message about not shutting down properly. Azureus has recreated the logs directory, debug_1.log and the save subdirectory. If I "killall java" now, Azureus still starts up properly the next time under Sun Java but *never* displays the message about not shutting down properly. My "save" subdirectory used to have things (copies of logs?) in, but now has nothing... I can't see why it works now but doesn't recognise that it failed to shut down properly (so I can't recreate anymore!).

Sam Brightman (sambrightman) wrote :

After further investigation it seems that the contents of the .azureus/logs/save directory are what is used to determine whether it shut down properly. There is some kind of timestamp/unique id in the filenames, and it looks at the one for the previous launch when it starts. This is why removing the directory works. I couldn't reproduce because a "killall" of the Sun JVM doesn't seem to give azureus time to write into this directory (should this be another bug?). The following describes the possibilities:

1) Start Azureus under GCJ.
2) Issue "killall java" (don't be running other java programs). This should allow Azureus to write logs into logs/save to look for at next startup.
3) Start Azureus under GCJ, note that it works, gives error message about previous shutdown, shutdown properly.
4) Start Azureus under either JVM, note that acknowledging the message/correct shutdown has fixed the problem (presumably updated timestamp/unique id to look for in logs/save).
5) Repeat steps 1 and 2.
6) Remove .azureus/logs/save
7) Start Azureus under either JVM, note that it works.
8) Repeat steps 3 and 4.
9) Start under Sun JVM, note that it fails.

So either reading the previous shutdown error in .azureus/logs/save or displaying the message about it fails under Sun JVM (1.5). GIven that these informational messages have had problems in the past and the hotspot error seems to talk about moving/resizing GUI stuff, I think it has to be the display of the dialog. Can other people confirm this?

Nelson Benitez (gnel) wrote :

Thanks for the workarounds, this bug is annoying because azureus is a popular used application...

Here my error message of Azureus and java bundled in Edgy:
:~$ azureus
#
# An unexpected error has been detected by HotSpot Virtual Machine:
#
# SIGSEGV (0xb) at pc=0xb03d7d02, pid=5134, tid=3084633776
#
# Java VM: Java HotSpot(TM) Client VM (1.5.0_08-b03 mixed mode, sharing)
# Problematic frame:
# C [libglibjni-0.4.so+0x8d02]
#
# An error report file with more information is saved as hs_err_pid5134.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Cancelado (core dumped)

Nelson Benitez (gnel) wrote :

Just to comment that prior to do the workaround Michael suggests in comment 3 you have to install 'java-gcj-compat' package, that it was not in my edgy default installation.

Scott Bronson (bronson) wrote :

I'm getting the exact same crash as Nelson Benitez. Sometimes it starts, sometimes it crashes. I'm running the 2.5.0.0 package on the latest Fesity. Installing and running upstream's 2.5.0.2 packages fixes this bug 100%.

Is there any chance we could get 2.5.0.2 into Feisty for release? 2.5.0.0 leaks memory pretty bad and drives my machine into deep swap if I leave it on overnight (usually I wake up to a half-dead machine with tons of OOM killer notifications in the log). 2.5.0.2 can run on my machine for weeks with no problem.

On 1/25/07, Scott Bronson <email address hidden> wrote:
>
> I'm getting the exact same crash as Nelson Benitez. Sometimes it
> starts, sometimes it crashes. I'm running the 2.5.0.0 package on the
> latest Fesity. Installing and running upstream's 2.5.0.2 packages fixes
> this bug 100%.
>
> Is there any chance we could get 2.5.0.2 into Feisty for release?
> 2.5.0.0 leaks memory pretty bad and drives my machine into deep swap if
> I leave it on overnight (usually I wake up to a half-dead machine with
> tons of OOM killer notifications in the log). 2.5.0.2 can run on my
> machine for weeks with no problem.
>
>
I have the same problems with 2.5.0.0. It's really atrocious. I definitely
second getting 2.5.0.2 into Feisty.

Same problem here, deleting .azureus/logs/* makes the application start, but it still crashes randomly. Then i'll have to delete the log files again to start it again.

1+ for 2.5.0.2

On 2/12/07, Johan Christiansen <email address hidden> wrote:
> Same problem here, deleting .azureus/logs/* makes the application start,
> but it still crashes randomly. Then i'll have to delete the log files
> again to start it again.
>
> 1+ for 2.5.0.2

I work fine.

Ubuntu Feisty + package of Ubuntu Java SUN 1.6 + Azureus 2.5.0.4.jar
--
Cristian Aravena Romero

I should add that my earlier comment was wrong to advise running under GCJ as a workaround - this will indeed fix the problem with crashing on startup when there is an informational message to be displayed (without having to delete the logs), but as some people are reporting Azureus then crashes randomly after that. These random crashes do not/have never happened with Sun Java, so I'm not sure if Christian's comment is relevant - unless you are also saying that it can now show informational messages on startup under your configuration? I wouldn't know as I haven't kept up-to-date recently.

Bogdan Butnaru (bogdanb) wrote :

As a summary for anyone who might work on this:

1) Running under GCJ fixes the crash on start for me, but it seems to use at least three time more memory and processor, so I didn't run it long enough to discover more crashes.

2) Under Java, it seems to crash whenever anything goes wrong:
   a) if the WiFi connection drops temporarily. By the way, if I turn from WiFi to Ethernet Azureus crashes on start for ever, even with GCJ, until I re-enable WiFi.
   b) I have Azureus move files on an almost-always connected USB drive. If it's read-only or not connected, it crashes.
   c) if anything unusual happens to the files it's using (like, if I delete or move by mistake a file that's being written to or read from.
   d) if the gnome-panel is restarted (!) as a result of an update. (No other program crashes in that case.)

Usually these can be worked around by fixing the cause, then deleting the crash report and the log. Unfortunately, sometimes there's something wrong with the config file, which needs deleting the whole ~/.azureus directory and manually re-configuring and re-starting the torrents. Which is annoying.

Seeing as it seems to crash whenever anything unusual happens, as well as on startup after it, I think it's related in all cases to the warning dialog it tries to show. (Someone earlier pointed out it's the pop-up window that seems to be the problem.) I couldn't find a way to disable warnings, but I just toggled all related options to see if it changes anything (sliding, on top, auto-hide).

Bogdan Butnaru (bogdanb) wrote :

After I disabled the sliding animation/on top for error dialogs --- see Options/Interface/Display, near the bottom of the panel --- I don't think I had crashes on start-up anymore.

I just restarted my computer because of a display bug, and Azureus was running. Usually that means that it will crash on restart, unless I delete the log/crash files. However, now it just displayed a normal dialog warning me of it not being closed normally, and then everything worked normally.

The bug is still there, I suppose, but this is a good work-around until it will be fixed.

Mike Fedyk (mfedyk) wrote :

I can confirm that saving Azureus2.5.0.4.jar as
/usr/share/java/Azureus2.jar works around the crash with sun-java5 1.5.0-08-0ubuntu1.

Sam Brightman (sambrightman) wrote :

I've not looked at the source at all, but could it possibly be looking at the command line and splitting on "." to find the (class) path to some resource for the informational messages?

The Azureus form the reppos crashes for me too (on startup):

$ azureus
#
# An unexpected error has been detected by Java Runtime Environment:
#
# Internal Error (53484152454432554E54494D450E435050020F), pid=14041, tid=3084430224
#
# Java VM: Java HotSpot(TM) Client VM (1.6.0-b105 mixed mode, sharing)
# An error report file with more information is saved as hs_err_pid14041.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Aborted (core dumped)

Sam Brightman (sambrightman) wrote :

People reporting this problem as fixed running e.g. Azureus2.5.0.4.jar, would it be right to assume that this file is downloaded from a separate source (Azureus home page/self-compiled) and then copied over the existing one etc.? I read a report (can't find the bug now) that it suggested compilation not just runtime could be a cause...

James Stansell (jamesstansell) wrote :

Yes, as Mike Fedyk said https://bugs.launchpad.net/ubuntu/+source/azureus/+bug/68020/comments/19 just replacing the existing jar file with a new one from the azureus download page http://prdownloads.sourceforge.net/azureus/Azureus2.5.0.4.jar?download works for me. In my case still running 6.10 (edgy)

I'd love to see updated packages in the repositories!

-james.

Ian Justman (ianj) wrote :

I will be running Azureus semi-headless by using a VNC X server on my fileserver. I've had trouble getting Azureus running on it regardless of which JVM I've tried (though I was going between Sun Java 6 and GCJ's).

After watching the messages, I decided to try something different. Run Azureus on one computer while displaying it on another.

Here are my results:

Ubuntu Feisty machine:
vnc4server + Azureus + Sun Java 6 (all on above server) == Crash at some point or another.

Ubuntu Feisty machine + Debian Sarge machine with bits of Sid:

(vnc4server on Debian machine) + (Azureus and Sun Java 6 on Ubuntu machine as above) == Solidly fires right up and works.

This seems to apply both to the Ubuntu-packaged and upstream versions of Azureus.

I downloaded smallish file and it worked just fine.

However, I haven't tried running long torrents on this machine since it has a very small hard drive in it (4GB) to test reliability as all the big drives I intend to use with this install are in the Debian machine. Nor have I tried to run it displaying on a "real" X server since this machine will never be running one to begin with once it's in production mode.

Further, the "working" setup is a suboptimal setup because I'm fully intent on decommissioning the Debian install in favor of the Ubuntu install by moving it into the box which is presently running the Debian install.

--Ian.

Sam Brightman (sambrightman) wrote :

James, could you possibly try with 2.5.0.0 but from the site rather than repositories. I'm sure that someone said that this version worked too, it would be good to clarify that it's getting it from the site, rather than the new version as such that solves the problem. (or not).

On 5/4/07, Sam Brightman <email address hidden> wrote:
>
> James, could you possibly try with 2.5.0.0 but from the site rather than
> repositories. I'm sure that someone said that this version worked too,
> it would be good to clarify that it's getting it from the site, rather
> than the new version as such that solves the problem. (or not).

I downloaded Azureus2.5.0.0.jar and copied it to
/usr/share/java/Azureus2.jar and azureus crashes on startup with this error:

Exception in thread "main" java.lang.NoClassDefFoundError:
org/gudy/azureus2/ui/swt/Main

I tried Azureus2.5.0.4.jar and also get that error.

My environment is Ubuntu 6.10 (Edgy Eft) up-to-date with security, updates,
universe, multiverse and backports enabled. The only other repositories I
have are edgy-commercial and skype-stable.

The azureus package I have installed is azureus_2.5.0.0repack1-
0ubuntu1.1~proposed1_all.deb from the feisty-proposed build on launchpad
(installed using gdebi).

I prefer to use azureus 2.5.0.4 so I intend to re-install the
2.5.0.0repack1-0ubuntu0.6.10 package from edgy-updates which the
Azureus2.5.0.4.jar will work with.

-james.

P.S. As I reported for another bug
azureus_2.5.0.0repack1-0ubuntu1.1~proposed1_all.deb works OK for me.

clicklinux (clicklinux) wrote :

resolution :
>
> wget http://superb-west.dl.sourceforge.net/sourceforge/azureus/Azureus2.5.0.2.jar
> sudo mv Azureus2.5.0.2.jar /usr/share/java/Azureus2.jar
>
>

clicklinux (clicklinux) wrote :

2 resolution :
Azureus 2.5.0.4
>
> wget http://superb-west.dl.sourceforge.net/sourceforge/azureus/Azureus2.5.0.4.jar
> sudo mv Azureus2.5.0.4.jar /usr/share/java/Azureus2.jar
>

Simon Ruggier (simon80) wrote :

Alas, that's a workaround, not a resolution.

Mike Fedyk (mfedyk) on 2007-06-14
Changed in azureus:
status: Unconfirmed → Confirmed
status: Confirmed → Unconfirmed
Mike Fedyk (mfedyk) wrote :

I CAN NOT confirm this bug on Dapper.

I CAN confirm this on Edgy.

I CAN NOT confirm this bug on Feisty.

Confirming this bug on Edgy and unconfirmed on "Ubuntu".

Thom Pischke (thom-pischke) wrote :

Another Data Point:

JVM = Java 6

I definitely *had* problems with Azureus in Feisty. If it was shut down irregularly, it was not possible to restart, as it would always crash just after splash screen. Deleting the logs fixed it as a workaround.

Currently, after recent azureus package updates, everything works perfectly on Feisty with Java 6. If Azureus shuts down abruptly, it comes back up normally, showing the little slide-up notifier about irregular shutdown that apparently used to cause the crash.

For me, this bug is fixed in Feisty. Have not tested under Dapper or Edgy.

Ian Justman (ianj) wrote :

In my case, here is what I'm seeing:

Azureus (stock or Universe) on Ubuntu Feisty Server fileserver -> Xorg X server on a Kubuntu Feisty desktop: Works fine

Azureus (stock or Universe) on Ubuntu Feisty Server fileserver -> Xorg X server on a Ubuntu Feisty Server fileserver: I don't know; I operate that machine headless.

Azureus (stock or Universe) on Ubuntu Feisty Server fileserver or Kubuntu Feisty dektop -> VNC4Server on either machine: Fails (This is the configuration I want/need since the machine is headless and I'd just as soon keep it that way).

I do most of my torrenting from my fileserver so I can free up my desktops, and since that machine runs headless, I use the VNC X server. Since this configuration does not work and since my fileserver is not a desktop by nature, I have to tell it to connect to another computer over the network to a machine running a normal X server. Then I use x11vnc so I can look at that machine from afar. I would rather have the VNC4 X server and Azureus both run on the fileserver.

All machines involved are i386-class machines (AMD Athlon XP 2100+ on the desk; Duron 1600 on the server), thus they are running the i386 version of (Ku|U)buntu.

And in all cases, the JVM in use is Sun Java 1.6.0-b105 (installed via the "sun-java6-jre" package).

Elsewhere, I'd seen it suggested it might be a version of libxfixes' being "too new" for the X server. I forget where offhand.

--Ian.

--Ian.

Simon Ruggier (simon80) wrote :

If I recall correctly, Azureus has a command line frontend now, but I
could be wrong, since I haven't tried it. You might be able to work
around this by using that.

Ian Justman wrote:
> In my case, here is what I'm seeing:

[ ...]

> Azureus (stock or Universe) on Ubuntu Feisty Server fileserver or
> Kubuntu Feisty dektop -> VNC4Server on either machine: Fails (This is

[ ...]

> And in all cases, the JVM in use is Sun Java 1.6.0-b105 (installed via
> the "sun-java6-jre" package).

Please test with sun-java5-jre, I have heard through a trusted source
that jre6 has compatibility problems and has been avoided in some very
large production environments.

Ian Justman (ianj) wrote :
Download full text (3.2 KiB)

> > And in all cases, the JVM in use is Sun Java 1.6.0-b105 (installed via
> > the "sun-java6-jre" package).

> Please test with sun-java5-jre, I have heard through a trusted source
> that jre6 has compatibility problems and has been avoided in some very
> large production environments.

That was a pretty good suggestion.

However, when I tested with Java 1.5.0_11 as apt-gotten from the repositories, I'm seeing the exact same results as I had originally desdribed above.

After this round of testing, here's what I'm seeing:

--It does not appear to be the JRE. When I use Xorg on the same or a different machine or Mocha X on a different machine, regardless of whether it's Sun Java 5 or 6 behind Azureus, it works perfectly).

--It does not appear the method of connecting to the X server matters. I tried on same machine and over a network; it consistently worked with Xorg on same and different machines and with Mocha X on a different machine; it consistently failed with VNC4Server on same and other machine and X-Deep 32 4.0 on another machine).

--It does not appear to be installation-specific. Same-machine runs of Azureus for VNC4Server both failed on completely different machines, even differently-purposed installations, e.g. a server and a desktop system. Even inter-machine runs fail.

--It does not appear that where you get Azureus itself matters. I tried the Universe version and the official distribution copy from SF. Both consistently work with Xorg and consistently fail with VNC4Server.

--It DOES appear that it is a VNC4Server issue for me.

All of the foregoing assumes a Feisty Ubuntu distribution and software therein, with the sole exception of the official version of Azureus and everything being fully apt-get upgraded to the most recent versions.

Basically, it works fine with Kubuntu and all-current versions of installed libraries, both available Sun JREs, and most recent Xorg server on the same machine. It works fine on Ubuntu server with Xorg running on another machine entirely with various considerations taken into account so remote clients can connect. It dies on VNC4Server, same- or different-machine.

Conclusion: Either the X server (in my case and apropos to Ubuntu, VNC4Server) or X libraries used by the JRE are at fault. Since there may be other interactions going on at the library level, I'm reluctant to completely rule them out unless there's a good way of testing that.

I will continue to follow this ticket, but I will check things out on the VNC4Server package now.

--Ian.

FOOTNOTE: I took my testing a few steps further and used two Windows X servers, X-Deep 32 4.0 when it was freeware and Mocha X which currently has a freeware offering (http://www.mochasoft.dk). It completely failed with X-Deep, but it worked just fine under Mocha X. The only "complaint" I have with Mocha X is that since I'm at work and the machines I'm testing Azureus from are at home, I have to use a VPN connection and it's a tad slow to update the screen. But that's what I get for using a slow connection. And I've tried both JRE 1.5.0_11 and JRE 1.6.0-b105. Both work with Mocha X. This seems to further indicate that, in my case, at l...

Read more...

Mike Fedyk (mfedyk) wrote :

It looks like the problems with vnc4server is covered by bug 78294.

Ian Justman (ianj) wrote :

Acutally, bug 78282 seems to be more like it in this case. However, thanks for the clue on that one. The bug you reference pointed to that one as a possible "duplicate" and that one had a solution I could actually use in the meantime. Use the TightVNC server instead.

--Ian.

Sam Brightman (sambrightman) wrote :

Yes, I think the VNC issues may just complicate matters.

At this point it sounds like it is still unconfirmed what precise combination causes this problem.
Options:

Compiler - people have said that upstream works, but as far as I can tell no-one has tried a matching version (i.e. 2.5.0.0 upstream). James attempted to but had further package configuration problems that prevented him seeing it through.
Runtime - am I write in saying no-one has this problem (i.e. sees notification windows without a crash) with Java 6? Thom seems to say that he did have a problem with Java 6 in the past, I believe I did, but have lost track of the versions and package updates recently - been moving and am without net connection on linux pc.
Code - it is genuinely fixed somewhere in the 2.5.0.0 -> 2.5.0.4 transition (i.e. on all configurations)
Packaging etc. - not likely but possible.

I did download the source and get it into Eclipse but couldn't find a way to get it running under GCJ (or Sun, whichever is not recommended/easiest) - does anyone have experience of testing Azureus with different compiler/JRE combinations?

Mike Fedyk (mfedyk) wrote :

The problem is then outside the scope of this bug on Feisty so I am marking it fixed released.

The problem still exists on edgy.

Changed in vnc4:
status: Unconfirmed → Fix Released
Sam Brightman (sambrightman) wrote :

Mike, please clarify - outside the scope how? Why is it marked as a bug in VNC on Feisty?

Mike Fedyk (mfedyk) on 2007-06-18
Changed in vnc4:
status: Fix Released → Rejected
Changed in azureus:
status: Unconfirmed → Fix Released
Mike Fedyk (mfedyk) on 2007-06-19
Changed in azureus:
status: Fix Released → Confirmed
Mike Fedyk (mfedyk) on 2007-06-20
Changed in azureus:
status: Confirmed → Fix Committed
Mike Fedyk (mfedyk) on 2007-06-20
Changed in azureus:
status: Fix Committed → Needs Info
22 comments hidden view all 102 comments
James Salter (iteration) wrote :

Azureus was abruptly quitting on startup for unknown reasons for me on Feisty, using the azureus from the repositories. This only happened after a few days of using it, worked fine initially. Installing azureus_2.5.0.0repack1-0ubuntu1.1~proposed1 fixed the problem immediately. When Azureus did launch, it displayed the sliding notification box indicating that it had not previously shutdown tidily.

Crash message was, using sun JVM 1.6:

(No messages about broken widgets)

#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00000000, pid=18739, tid=3084946320
#
# Java VM: Java HotSpot(TM) Server VM (1.6.0-b105 mixed mode)
# Problematic frame:
# C 0x00000000
#
# An error report file with more information is saved as hs_err_pid18739.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Aborted (core dumped)

Denis (denis-clijsters) wrote :

I can confirm that the azureus_2.5.0.0repack1-0ubuntu1.1~proposed1 is the only working version on gutsy.

I tried java 1.5 java 6 gcj and gij without success. deleting the log files works almost till you try to open one torrent (double click) and next startup it crashes again.

Also editing line 29 (JAVA_HOME) to 1 of the 4 different java environments didn't do the job either.

So I support you, get this proposed into gutsy universe !! :)

Mike Fedyk (mfedyk) wrote :

Marking against gutsy as confirmed.

Why is feisty marked as incomplete?

Changed in azureus:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

[Expired for azureus (Ubuntu Feisty) because there has been no activity for 60 days.]

Andrew Abogado (andrewabogado) wrote :

@ tasadar_f

Thank you for your suggestion. It did fixed the issue on azerues crash. I simple followed your instruction and switched to java-gcj from jre1.5.

MichaelM (michael-the-drummer) wrote :

I have also had this problem with Azureus in Gutsy.
Just posting to say that azureus_2.5.0.0repack1-0ubuntu1.1~proposed1_all.deb seems to work fine for me.

Michael

Nicholas Ma (chitinid) wrote :

I had a variety of azureus-related problems/crashes, and was able to fix all of them by first manually installing the Java 6 JRE from the Sun website (the default package seems to use a 32-bit version which doesn't work correctly), switching from java-gcj to jre, and then replacing the Azureus2.jar provided (which is version 2.5.0.0) with a newer one, either 2.5.0.4 or 3.0.2.2. I'm currently running 3.0.2.3 beta without any problem.

I'd suggest upgrading this package by including the jar from version 2.5.0.4 instead, and correctly adding a 64-bit package for the JRE.

Xvani (fredrile+launchpad) wrote :

Happens here as well with Sun 1.6 JRE and Gutsy 32bit.

Should really be fixed before final...........

Sam Davies (seivadmas) wrote :

I still get the problem on gutsy beta...

Cruster (panoskoutsias) wrote :

I have the same problem with azureus shutting down at start-up. Cleaning the logs does not work, as well as choosing other java provider. I have installed the repository version in Gutsy beta with all the updates.

Ian Justman (ianj) wrote :

Upgrading to Gutsy caused all the problems I was having to go away. I can now use VNC4Server without trouble and am using Sun Java 1.6.0_x with no ill effects

Am using stock Azureus 3.x without any problems whatsoever.

I've upgrade to Gutsy via the Gutsy RC, and I still have the problem of azureus crashing immediately after starting. But if I delete the log files, it works perfectly. I'm using sun's java, installed from the repos. Azureus is also installed from the repos.

Mike Fedyk (mfedyk) wrote :

If another bug isn't more triaged than this one, I don't where it is, but....

***** Please just move the package from proposed to updates in edgy, feisty and gutsy to be done with it already. *****

Changed in azureus:
status: Invalid → Confirmed
skoczko (skoczko) wrote :

Still not fixed in Gutsy final. Azureus crashes instantly if the log files are not wiped out. But removing them will help only for a moment - it will crash randomly after some time.

John Dong (jdong) wrote :

Please see bug #57875 -- I am working towards a fix (repackage) of that one that should close all current Azureus bugs.

skants (spanky46671) wrote :

Im using gutsy, used apt-get to install azureus and fixed this bug by downloading the tar.bz file from sourcefordge, extracting it, and then taking the Azureus2.jar from there and replacing my azureus2.jar....

the only problem now is that it takes about 3 minutes for my azureus to start when i click the icon.

John Dong (jdong) wrote :

Please read above :)

Omicron (v-mitev) wrote :

I can confirm this bug on Gutsy final version. Installing http://archive.ubuntu.com/ubuntu/pool/universe/a/azureus/azureus_2.5.0.0repack1-0ubuntu1.1~proposed1_all.deb seems to have solved this issue for me.

+1 for updated .deb and .desktop file change. everything now works great instead of being unuseable >.<

Saivann Carignan (oxmosys) wrote :

Thank you for your bug report.

A fix has been released for this particular bug if Linux Ubuntu Gutsy Backports. Can you install azureus version 2.5.0.4-1ubuntu3~gutsy1 and confirm that it fix this problem?

Oliver Sic (soliver) wrote :

azureus works fine. good work!

Changed in azureus:
assignee: nobody → soliver
Changed in vnc4:
status: New → Fix Released
Changed in azureus:
status: Confirmed → Fix Released
Saivann Carignan (oxmosys) wrote :

Thanks for this quick answer

This bug is clearly a duplicate of bug 57875, I want to mark it as such, but since there are a lot of people in that bug, I want to make sure that it doesn't exist for a special purpose.

Should-I mark this bug as duplicate of bug 57875 ?

On Wed, Nov 21, 2007 at 05:11:49AM -0000, Saïvann Carignan wrote:
> Should-I mark this bug as duplicate of bug 57875 ?
Yes please. Even though it's not the exact same cause as bug 57875, the
fix to that bug should close this bug too, and on that ground let's call
any crash/doesn't-run/doesn't-download defect of azureus <2.5.0.4 to be
a dupe of 57875.

Thanks for your help triaging these bugs

Saivann Carignan (oxmosys) wrote :

Marked this bug as duplicate of bug 57875.

Thanks to everybody who worked on this bug report!

Sam Brightman (sambrightman) wrote :

I have been absent from this for a while, and in no way helpful in producing the fix, but I must say that I don't think these bugs should all be marked dups. They are different bugs, and should stay as such. My understanding is that the "fix" effectively just drops support for gcj - for some people this is not acceptable (it is for me, though, for now). If support for gcj was ever needed again, for example, these bugs would most definitely be separate, and we've only lost information by conflating them.

Saivann Carignan (oxmosys) wrote :

Sam Brightman : I think that you should speak with John Dong since he is the latest person who worked on the package. If needed, we can set back this particular bug as not a duplicate anymore.

mozart@network:~$ azureus
changeLocale: *Default Language* != English (United States). Searching without country..
changeLocale: Searching for language English in *any* country..
changeLocale: no message properties for Locale 'English (United States)' (en_US), using 'English (default)'
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x8f4fb172, pid=26076, tid=3084712848
#
# Java VM: Java HotSpot(TM) Server VM (1.6.0-b105 mixed mode)
# Problematic frame:
# C [libglibjni-0.4.so+0x9172]
#
# An error report file with more information is saved as hs_err_pid26076.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Aborted (core dumped)
mozart@network:~$

Solution:
sudo apt-get install gcj

Edit /usr/bin/azureus this line:
exec java -Djava.library.path=/usr/lib/jni:/usr/lib \
Put:
exec /usr/bin/gij-wrapper-4.1 -Djava.library.path=/usr/lib/jni:/usr/lib \

Info about the problem:
$ java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build 1.6.0-b105)
Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode, sharing)

$ azureus
changeLocale: *Default Language* != Spanish (Argentina). Searching without country..
changeLocale: Searching for language Spanish in *any* country..
changeLocale: no message properties for Locale 'Spanish (Argentina)' (es_AR), using 'Spanish (Spain)'
Warning: Cannot convert string "-b&h-luxi sans-medium-r-normal--*-140-*-*-p-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-misc-ar pl shanheisun uni-medium-r-normal--*-*-*-*-p-*-iso10646-1" to type FontStruct
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0xb457c172, pid=5649, tid=3084213136
#
# Java VM: Java HotSpot(TM) Client VM (1.6.0-b105 mixed mode, sharing)
# Problematic frame:
# C [libglibjni-0.4.so+0x9172]
#
# An error report file with more information is saved as hs_err_pid5649.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Cancelado (core dumped)

I also set
AWT_TOOLKIT="MToolkit"
into /etc/environment following this instructions: http://ubuntuforums.org/showthread.php?t=252594 (it was for other application but maybe it matters)

Ok, so I'm a complete rookie with Linux, running Gutsy for about 5 days now, but i've run into the same problems.
azureus crashing on startup with sliding warnings turned both on and off
azureus crashing after deleting logs directory when loading torrent files from directory [when popup delaring "existing files will be checked" gets it's 'ok' button clicked]

My fix was as follows, and Azureus 2.5.0.4 is running strong now:

sudo gedit /usr/bin/azureus

edit so that the beginning of the file looks like this:

#!/bin/sh
if [ x$AZUREUS_JAVA = x ]; then
   echo "Looking for and picking a preferred Java runtime"
   echo "Use environment AZUREUS_JAVA to override"
   if [ -f /usr/lib/jvm/java-6-sun/jre/bin/java ]; then
      JAVA='/usr/lib/jvm/java-6-sun/jre/bin/java'
   elif [ -f /usr/lib/jvm/java-1.5.0-sun/jre/bin/java ]; then
      JAVA='/usr/lib/jvm/java-1.5.0-sun/jre/bin/java'
   else
      echo '******** WARNING **********'
      echo 'Unable to find a supported Java runtime'
      echo 'Going to assume java is in your PATH'
      echo '****************************'
      JAVA='java'
   fi

there used to be another version of java-like runtime that i'm not familiar with; icedtea or some similar.

As it is difficult to get a stable azureus, I install from getdeb and
I have been using it for a few months:

http://www.getdeb.net/release.php?id=2088

the only problem is sometime it could not update. What we should do is
just run in terminal:

gksudo azureus

and let the update finished.

DK

'Oelie (rhidding) wrote :

For any Windows-users ending up here, Windows XP has the exact same bug..

Turns out Alcohol120% uses AxShlex.dll that conflicts with servers and causes a high cpu usage.. Uninstalling Alcohol will solve the problem..

'Oelie

sara (dinkio19) wrote :

Could I just ask what Alcohol1120% is and how do I uninstall it??

Mackenzie Morgan (maco.m) wrote :

Alcohol120 is a cd burning application for Windows. I don't think that's
relevant to Ubuntu.

Hi Sara

Alcohol120% is emulation software.. If you dont know what it is, it's
probably not installed on your pc..

It can be uninstalled the usual way, it's in the list of programs accessible
through the control panel.

Hope this helps,
good luck

On Thu, May 28, 2009 at 9:43 AM, sara <email address hidden> wrote:

> *** This bug is a duplicate of bug 57875 ***
> https://bugs.launchpad.net/bugs/57875
>
> Could I just ask what Alcohol1120% is and how do I uninstall it??
>
> --
> Azureus crashes just after startup (attempt to show sliding notification
> window)
> https://bugs.launchpad.net/bugs/68020
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “azureus” source package in Ubuntu: Confirmed
> Status in “vnc4” source package in Ubuntu: Fix Released
> Status in azureus in Ubuntu Edgy: Confirmed
> Status in azureus in Ubuntu Feisty: Confirmed
> Status in vnc4 in Ubuntu Feisty: Invalid
> Status in azureus in Ubuntu Gutsy: Fix Released
>
> Bug description:
> Binary package hint: azureus
>
> New Azureus 2.5.0.0 hit the Edgy repositories earlier, however it crashes
> as soon as it has loaded and the main screen comes up. I already tried to
> remove azureus with purge and with and without the new azureus-gcj package.
>

sara (dinkio19) wrote :

Ahh ok, that explains why I have never heard of it before. I am struggling to keep Azureus open. It keeps crashing, I have the latest Java installed but when I open Azureus it comes up with an update message, I select to update, the program restarts and then the same message comes up again.

Any suggestions??

i think you got accidently copied in the bcc somewhere..

This was a reply in this post https://bugs.launchpad.net/bugs/68020 in wich
i had the same problem in Windows XP..

I have nothing to do with post https://bugs.launchpad.net/bugs/57875...

greets

On Thu, May 28, 2009 at 10:24 AM, Mackenzie Morgan <email address hidden>wrote:

> *** This bug is a duplicate of bug 57875 ***
> https://bugs.launchpad.net/bugs/57875
>
> Control Panel?
>
> --
> Azureus crashes just after startup (attempt to show sliding notification
> window)
> https://bugs.launchpad.net/bugs/68020
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “azureus” source package in Ubuntu: Confirmed
> Status in “vnc4” source package in Ubuntu: Fix Released
> Status in azureus in Ubuntu Edgy: Confirmed
> Status in azureus in Ubuntu Feisty: Confirmed
> Status in vnc4 in Ubuntu Feisty: Invalid
> Status in azureus in Ubuntu Gutsy: Fix Released
>
> Bug description:
> Binary package hint: azureus
>
> New Azureus 2.5.0.0 hit the Edgy repositories earlier, however it crashes
> as soon as it has loaded and the main screen comes up. I already tried to
> remove azureus with purge and with and without the new azureus-gcj package.
>

'Oelie (rhidding) wrote :

hmm no, dunno. I have made the Vista switch about a year ago..

Try a manual update, or maybe a complete un/reinstall, that usually helps..

good luck!

On Thu, May 28, 2009 at 10:27 AM, sara <email address hidden> wrote:

> *** This bug is a duplicate of bug 57875 ***
> https://bugs.launchpad.net/bugs/57875
>
> Ahh ok, that explains why I have never heard of it before. I am
> struggling to keep Azureus open. It keeps crashing, I have the latest
> Java installed but when I open Azureus it comes up with an update
> message, I select to update, the program restarts and then the same
> message comes up again.
>
> Any suggestions??
>
> --
> Azureus crashes just after startup (attempt to show sliding notification
> window)
> https://bugs.launchpad.net/bugs/68020
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “azureus” source package in Ubuntu: Confirmed
> Status in “vnc4” source package in Ubuntu: Fix Released
> Status in azureus in Ubuntu Edgy: Confirmed
> Status in azureus in Ubuntu Feisty: Confirmed
> Status in vnc4 in Ubuntu Feisty: Invalid
> Status in azureus in Ubuntu Gutsy: Fix Released
>
> Bug description:
> Binary package hint: azureus
>
> New Azureus 2.5.0.0 hit the Edgy repositories earlier, however it crashes
> as soon as it has loaded and the main screen comes up. I already tried to
> remove azureus with purge and with and without the new azureus-gcj package.
>

On Thursday 28 May 2009 4:54:07 am 'Oelie wrote:
> *** This bug is a duplicate of bug 57875 ***
> https://bugs.launchpad.net/bugs/57875
>
> i think you got accidently copied in the bcc somewhere..
>
> This was a reply in this post https://bugs.launchpad.net/bugs/68020 in wich
> i had the same problem in Windows XP..

I am subscribed to that bug, which is a duplicate of this bug:

> I have nothing to do with post https://bugs.launchpad.net/bugs/57875...

And I have no idea how uninstalling Alcohol from Windows will fix their Azureus
bug.

Mackenzie Morgan (maco.m) wrote :

I doubt it can upgrade itself--that'd require root access to be able to modify
Azureus that was installed from the package manager. This bug has already
been marked as a duplicate of another bug though. Perhaps discussion of the
cause should move there?

Displaying first 40 and last 40 comments. View all 102 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers